package com.ruoyi.project.pssr.service;

import java.util.List;
import com.ruoyi.project.pssr.domain.TPssrApprove;

/**
 * pssr审批管理Service接口
 * 
 * @author ssy
 * @date 2024-09-18
 */
public interface ITPssrApproveService 
{
    /**
     * 查询pssr审批管理
     * 
     * @param approveId pssr审批管理ID
     * @return pssr审批管理
     */
    public TPssrApprove selectTPssrApproveById(Long approveId);
    public TPssrApprove selectTPssrApproveBySubId(Long subId);
    public TPssrApprove selectTPssrApproveByAboveallId(Long aboveallId);

    /**
     * 查询pssr审批管理列表
     * 
     * @param tPssrApprove pssr审批管理
     * @return pssr审批管理集合
     */
    public List<TPssrApprove> selectTPssrApproveList(TPssrApprove tPssrApprove);

    /**
     * 新增pssr审批管理
     * 
     * @param tPssrApprove pssr审批管理
     * @return 结果
     */
    public int insertTPssrApprove(TPssrApprove tPssrApprove);

    /**
     * 修改pssr审批管理
     * 
     * @param tPssrApprove pssr审批管理
     * @return 结果
     */
    public int updateTPssrApprove(TPssrApprove tPssrApprove);

    /**
     * 批量删除pssr审批管理
     * 
     * @param approveIds 需要删除的pssr审批管理ID
     * @return 结果
     */
    public int deleteTPssrApproveByIds(Long[] approveIds);

    /**
     * 删除pssr审批管理信息
     * 
     * @param approveId pssr审批管理ID
     * @return 结果
     */
    public int deleteTPssrApproveById(Long approveId);
}
